-------------------------------------------------------------------------
@REM    To compile dvi2xx.c under MSDOS with MSC Rel 6.0:

set MSC=\C600
set INCLUDE=%MSC%\include
set LIB=%MSC%\lib

set CFLAGS=-AL -W2 -Gs -Ox
set LFLAGS=/stack:9000 /EXEPACK

@REM For all version (LJ and 3812)

   cl %CFLAGS% -c findfile.c ;;


@REM  LaserJet+ and  LaserJet II Version:

   cl %CFLAGS% -DLJ2P  dvi2xx.c findfile.obj -link %LFLAGS%
   copy dvi2xx.exe dvilj2.exe


@REM  LaserJet II P and LaserJet III and LaserJet 2000 Version:

   cl %CFLAGS% -DLJ2P  dvi2xx.c findfile.obj -link %LFLAGS%
   copy dvi2xx.exe dvilj2p.exe

@REM  IBM3812 Version:

   cl %CFLAGS% -DIBM3812 dvi2xx.c findfile.obj -link %LFLAGS%
   copy dvi2xx.exe dvi3812.exe
-------------------------------------------------------------------------
@REM    To compile dvi2xx.c under MS/DOS for OS/2 with MSC Rel 6.0:

set MSC=\C600
set INCLUDE=%MSC%\include
set LIB=%MSC%\lib

set CFLAGS=-AL -W2 -Gs -UMSDOS -DOS2 -Ox -Lp -Fb
set LFLAGS=/stack:9000 /EXEPACK /PMTYPE:VIO

@REM For all version (LJ and 3812)

   cl %CFLAGS% -c findfile.c ;;


@REM  LaserJet+ and  LaserJet II Version:

   cl %CFLAGS% -DLJ2P  dvi2xx.c findfile.obj -link %LFLAGS%
   copy dvi2xx.exe odvilj2.exe


@REM  LaserJet II P and LaserJet III and LaserJet 2000 Version:

   cl %CFLAGS% -DLJ2P  dvi2xx.c findfile.obj -link %LFLAGS%
   copy dvi2xx.exe odvilj2p.exe

@REM  IBM3812 Version:

   cl %CFLAGS% -DIBM3812 dvi2xx.c findfile.obj -link %LFLAGS%
   copy dvi2xx.exe odvi3812.exe
-------------------------------------------------------------------------
# makefile for the dvi-to-(3812 || lj + || lj II || lj IIp ) filter.
#
DEFINES=-Dunix
CFLAGS=-O -s

# under Ultrix 4.1 use:
CFLAGS=-O1 -s

# under AIX 3.1 add the following line:
#LFLAGS=-lbsd

OBJS=findfile.o
HFILES=commands.h config.h
PROGRAMS=dvilj2p dvilj2 dvi3812

all: $(PROGRAMS)

dvi3812: dvi2xx.c ${OBJS} $(HFILES)
	cc ${CFLAGS} ${DEFINES} -DIBM3812 -o $@ dvi2xx.c ${OBJS} ${LFLAGS}

dvilj2: dvi2xx.c ${OBJS} $(HFILES)
	cc ${CFLAGS} ${DEFINES} -DLJ -o $@ dvi2xx.c ${OBJS} ${LFLAGS}

dvilj2p: dvi2xx.c ${OBJS} $(HFILES)
	cc ${CFLAGS} ${DEFINES} -DLJ2P -o $@ dvi2xx.c ${OBJS} ${LFLAGS}

findfile.o: findfile.c config.h
	cc ${CFLAGS} ${DEFINES} -c findfile.c

clean:
	rm -f core $(OBJS) $(PROGRAMS)

shar:
	shar ./dvi2xx.c ./commands.h ./config.h ./findfile.c ./Makefile \
		./testpage.tex ./dvi2xx.history ./dvi2xx.1 ./graybox.sty \
		./dvi2xx.make ./dvi2xx.049 > dvi2xx.shar


tar:
	pdtar zcvf dvi2xx.tar.Z ./dvi2xx.c ./commands.h ./config.h \
		./findfile.c ./Makefile ./testpage.tex ./dvi2xx.history \
		./dvi2xx.1 ./graybox.sty ./dvi2xx.make ./dvi2xx.049
	shar dvi2xx.tar.Z > dvi2xx.shar

testfiles:
	./dvilj2 -eftable.lj2 ftable
	./dvilj2p -eftable.lj2p ftable
	./dvi3812 ftab2


